/**
 * A ball the player must dodge.
 * 
 * @author Nate Beasley
 * @version 0.6.1
 */
public class Ball extends Circle
{
    private int speed;
    private int rot;
    private Player play;
    private boolean haveNotTurned = true;
    private boolean wentInsideWorld = false;
    
    public Ball(int spd, Player p)
    {
        super(12, java.awt.Color.red);
        speed = spd;
        play = p;
    }
    
    public void act()
    {
        if (haveNotTurned)
        {
            turnTowards(play.getX(), play.getY());
            rot = getRotation();
            setRotation(0);
            haveNotTurned = false;
        }
        if (!outsideWorld() && !wentInsideWorld)
            wentInsideWorld = true;
        
        move(speed);
        if (outsideWorld() && wentInsideWorld)
        {
            ((DodgeWorld)getWorld()).counter().add(1);
            getWorld().removeObject(this);
        }
    }
    
    public void move(int dist)
    {
        setRotation(rot);
        super.move(dist);
        setRotation(0);
    }
    
    private boolean outsideWorld()
    {
        return getX() < 0 || getX() > getWorld().getWidth() || getY() < 0 || getY() > getWorld().getHeight();
    }
}
