import greenfoot.GreenfootImage;
import java.awt.Color;

/**
 * An actor with an oval shape.
 * 
 * @author Nate Beasley
 * @version 1.0.0
 */
public abstract class Oval extends greenfoot.Actor
{
    private GreenfootImage myImage;
    
    /**
     * The constructor for the oval class.
     * @param width The width of the Oval
     * @param height The height of the Oval
     * @param col The color of the Oval
     */
    public Oval(int width, int height, Color col)
    {
        changeShape(width, height, col);
    }
    
    /**
     * Creates a oval image for the actor. This method can be called multiple times
     * @param width The width of the image
     * @param height The height of the image
     * @param col The color of the image
     */
    public void changeShape(int width, int height, Color col)
    {
        myImage = new GreenfootImage(width, height);
        myImage.setColor(col);
        myImage.fillOval(0, 0, width, height);
        setImage(myImage);
    }
}
