import greenfoot.Greenfoot;

/**
 * The player that dodges obstacles
 * 
 * @author Nate Beasley
 * @version 1.0.0
 */
public class Player extends Square
{
    private static final int speed = 3;

    public Player()
    {
        super(10, java.awt.Color.black);
    }
    
    public void act()
    {
        move();
        update();
        seeIfDead();
    }
    
    private void move()
    {
        if (Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("w"))
            setLocation(getX(), getY()-speed);
        if (Greenfoot.isKeyDown("down") || Greenfoot.isKeyDown("s"))
            setLocation(getX(), getY()+speed);
        if (Greenfoot.isKeyDown("left") || Greenfoot.isKeyDown("a"))
            setLocation(getX()-speed, getY());
        if (Greenfoot.isKeyDown("right") || Greenfoot.isKeyDown("d"))
            setLocation(getX()+speed, getY());
    }
    
    private void update()
    {
        if (getX() < 5)
            setLocation(5, getY());
        if (getX() > getWorld().getWidth()-5)
            setLocation(getWorld().getWidth()-5, getY());
        if (getY() < 5)
            setLocation(getX(), 5);
        if (getY() > getWorld().getHeight()-5)
            setLocation(getX(), getWorld().getHeight()-5);
    }
    
    private void seeIfDead()
    {
        if (getOneIntersectingObject(Ball.class) != null)
            ((DodgeWorld)getWorld()).endEverything();
    }
}
